/*****************************************************************************
Spartan S3 Starter Kit to Parallel Port Interface
  Sample Verilog client
  
  Allows the state of the on-board switches and pushbuttons to be read by the
  interface software, and allows the latter to set the state of the on-board
  LEDs and seven-segment (plus decimal point) display. Also provides a single
  loopback bit and an on-chip adder which can be tested from the interface
  software.
  
  The stub instantiating the Parint module below was auto-generated by
  executing "parint.exe siglist.txt siglist.v".
  
  See S3board.ucf for pin assignments, in particular for tdi/tck/tms/tdo.

  Written by Eirik Bakke, January 14, 2006
  See http://www.mit.edu/~ebakke/parint for documentation
  
******************************************************************************/

module S3board(btn, sw, ld, an, sseg, tdi, tck, tms, tdo);
	input  [3:0] btn;
	input  [7:0] sw;
	output [7:0] ld;
	output [3:0] an;
	output [7:0] sseg;
	input  tdi, tck, tms;
	output tdo;
	wire loopi, loopo;
	wire   [3:0] terma;
	wire   [3:0] termb;
	wire   [4:0] sumab;
		
	/******* Auto-generated, do not modify *******/
	Parint #(29, 18) mparint(tdi, tck, tms, tdo,
		{an, sseg, ld, loopi, terma, termb},
		{btn, sw, loopo, sumab});
	/*********************************************/

	assign loopo = loopi;
	assign sumab = terma + termb;
endmodule
