#ifndef PARPORT_H
#define PARPORT_H
/*****************************************************************************
Spartan-3 Starter Board to Parallel Port Interface
  Parallel port I/O register constants.
  
  See http://www.beyondlogic.org/spp/parallel.htm for information about
  interfacing the parallel port.

  Written by Eirik Bakke, January 14, 2006
  See http://www.mit.edu/~ebakke/parint for documentation
  
******************************************************************************/

/* N = active low */
/* C = hardware inverted */

enum {
	/* Status (base addr + 1, read only) */
	PAR_S_CBUSY    = 0x80, /* Busy */
	PAR_S_NACK     = 0x40, /* Acknowledge */
	PAR_S_PAPER    = 0x20, /* Paper Out / Paper End */
	PAR_S_NSELECT  = 0x10, /* Select Printer / Select In */
	PAR_S_NERROR   = 0x08, /* Error */
	PAR_S_IRQ      = 0x04, /* IRQ */

	/* Control (base addr + 2), write "only" */
	PAR_C_BIDIR    = 0x20, /* Enable Bi-Directional Port */
	PAR_C_INTEN    = 0x10, /* Enable IRQ via Ack Line */
	PAR_C_CNSELECT = 0x08, /* Select Printer */
	PAR_C_NINIT    = 0x04, /* Initialize Printer (Reset) */
	PAR_C_CNAUTOLF = 0x02, /* Auto Linefeed */
	PAR_C_NSTROBE  = 0x01 /* Strobe Complement */
};

#endif
