#ifndef PORTTALK_USER_H
#define PORTTALK_USER_H
/******************************************************************************/
/*                                                                            */
/*                         PortTalk Usermode Interface                        */
/*                                                                            */
/*                                Extracted from:                             */
/* Remove Driver for PortTalk Version 2.0, 12th January 2002 by Craig Peacock */
/*   IoExample for PortTalk Version 2.1, 12th January 2002 by Craig Peacock   */
/*                and modified by Eirik Bakke on January 14, 2006             */
/*                          http://www.beyondlogic.org                        */
/*                                                                            */
/* Copyright  2002 Craig Peacock. Craig.Peacock@beyondlogic.org              */
/* Any publication or distribution of this code in source form is prohibited  */
/* without prior written permission of the copyright holder. This source code */
/* is provided "as is", without any guarantee made as to its suitability or   */
/* fitness for any particular use. Permission is herby granted to modify or   */
/* enhance this sample code to produce a derivative program which may only be */
/* distributed in compiled object form only.                                  */
/******************************************************************************/

/* Open the PortTalk driver, installing it first if necessary. Return nonzero in
   case of an error. */
unsigned char OpenPortTalk(void);

/* Close the PortTalk driver. */
void ClosePortTalk(void);

/* Install the PortTalk driver and service. Assumes PortTalk.SYS is in the
   current directory. */
void InstallPortTalkDriver(void);

/* Uninstall the PortTalk driver. */
void UninstallPortTalkDriver(void);

/* Access I/O ports. PortTalk must have been opened first. */
void          outportb(unsigned short port_addr, unsigned char byte);
unsigned char inportb(unsigned short port_addr);

#define inp(port_addr)         inportb(port_addr)
#define outp(port_addr, value) outportb(port_addr, value)

#endif
